-
  I create a procurement
-
  !record {model: procurement.order, id: procurement_order0}:
    company_id: base.main_company
    name: Procurement Test
    product_id: product.product_product_32
    product_qty: 15.0
    product_uom: product.product_uom_unit
    product_uos_qty: 15.0
    product_uos: product.product_uom_unit
-
  I run the scheduler.
-
  !python {model: procurement.order}: |
    self.run_scheduler(cr, uid)
-
  I check that procurement order is in exception, as at first there isn't any suitable rule
-
  !python {model: procurement.order}: |
    proc_order = self.browse(cr, uid, ref('procurement_order0'), context=context)
    assert proc_order.state == 'exception'
